> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les reçus d'agent

> Lister les reçus pour un agent d'espace de travail.

Lister les reçus pour un agent d'espace de travail.

Utilisez une clé API d'espace de travail ou un jeton. Utilisez l'identifiant de l'agent de votre espace de travail comme `agentID` ; ce point de terminaison liste les reçus de cet agent.


## OpenAPI

````yaml fr/maip-openapi.yaml GET /v1/agent-receipts/agent/{agentID}
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Production
  - url: https://sandbox-api.truthlocks.com
    description: Bac à sable
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/agent-receipts/agent/{agentID}:
    get:
      summary: Lister les reçus d'agent
      description: Lister les reçus pour un agent d'espace de travail.
      operationId: maipAgentReceiptList
      parameters:
        - name: agentID
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Réponse réussie
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    receipt_id:
                      type: string
                    agent_id:
                      type: string
                    version:
                      type: string
                    status:
                      type: string
                    created_at:
                      type: string
                      format: date-time
                    signature:
                      type: string
                    signing_envelope:
                      type: object
                      properties:
                        version:
                          type: string
                        key_id:
                          type: string
                        algorithm:
                          type: string
                        payload:
                          type: string
                    metadata:
                      type: object
                      additionalProperties: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.